cURL
curl --request POST \
--url https://api.mudstack.com/workspaces/import/create/version \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"asset_id": "<string>",
"commit_id": "<string>",
"upload_key": "<string>",
"description": "<string>",
"name": "<string>",
"set_current": true,
"commit_parent_id": "<string>",
"checksum": "<string>"
}
'import requests
url = "https://api.mudstack.com/workspaces/import/create/version"
payload = {
"asset_id": "<string>",
"commit_id": "<string>",
"upload_key": "<string>",
"description": "<string>",
"name": "<string>",
"set_current": True,
"commit_parent_id": "<string>",
"checksum": "<string>"
}
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset_id: '<string>',
commit_id: '<string>',
upload_key: '<string>',
description: '<string>',
name: '<string>',
set_current: true,
commit_parent_id: '<string>',
checksum: '<string>'
})
};
fetch('https://api.mudstack.com/workspaces/import/create/version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version_id": "<string>"
}Importing (upload alternative)
Create a version for an asset
Requires the commit_id, asset_id, and temp upload id. Adds the version with the file from the temp location and assigns the version to the commit. Returns version_id on success.
POST
/
workspaces
/
import
/
create
/
version
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The ID of the asset.
The ID of the commit.
The temporary upload key.
Description of the version.
Name of the version.
Whether to set this version as current.
The parent commit ID.
The checksum of the file.
Response
200 - application/json
Successfully created version
The ID of the created version.
Was this page helpful?
⌘I